using System.Text.Json.Serialization;

namespace backend.Models.NswFuelApi;

public class AccessTokenResponse
{
    [JsonPropertyName("refresh_token_expires_in")]
    public string RefreshTokenExpiresIn { get; set; }

    [JsonPropertyName("api_product_list_json")]
    public IEnumerable<string> ApiProductListJson { get; set; }

    [JsonPropertyName("organization_name")]
    public string OrganisationName { get; set; }

    [JsonPropertyName("developer.email")] public string DeveloperEmail { get; set; }

    [JsonPropertyName("token_type")] public string TokenType { get; set; }

    /// <summary>
    ///     When the token was issued, in UNIX timestamp format
    /// </summary>
    [JsonPropertyName("issued_at")]
    public string IssuedAt { get; set; }

    [JsonPropertyName("client_id")] public string ClientId { get; set; }

    [JsonPropertyName("access_token")] public string AccessToken { get; set; }

    [JsonPropertyName("application_name")] public string ApplicationName { get; set; }

    [JsonPropertyName("scope")] public string Scope { get; set; }

    /// <summary>
    ///     How long until the token expires, in seconds - seems to default to 12 hours
    /// </summary>
    [JsonPropertyName("expires_in")]
    public string ExpiresIn { get; set; }

    [JsonPropertyName("refresh_count")] public string RefreshCount { get; set; }

    [JsonPropertyName("status")] public string Status { get; set; }
}