using System.Text.Json.Serialization;
using ServiceStack.DataAnnotations;

namespace backend.Models.NswFuelApi;

public class Price
{
    public Guid Id { get; init; } = Guid.NewGuid();

    [JsonPropertyName("stationcode")] public int StationCode { get; set; }

    [JsonPropertyName("fueltype")] public string FuelType { get; set; }

    [JsonPropertyName("price")] public double PriceValue { get; set; }

    [JsonPropertyName("lastupdated")] public DateTimeOffset LastUpdated { get; set; }

    [JsonPropertyName("state")] public string? State { get; set; }

    [PrimaryKey] public DateTimeOffset CreatedAt { get; set; } = DateTimeOffset.UtcNow;
}

public class PriceDto
{
    [JsonPropertyName("stationcode")] public int StationCode { get; set; }

    [JsonPropertyName("fueltype")] public string FuelType { get; set; }

    [JsonPropertyName("price")] public double PriceValue { get; set; }

    /// <summary>
    ///     Received from onegov API, appears to be in local time
    /// </summary>
    [JsonPropertyName("lastupdated")]
    public string LastUpdated { get; set; }

    [JsonPropertyName("state")] public string? State { get; set; }
}