using System.Text.Json.Serialization;

namespace backend.Models.NswFuelApi;

public class ReferenceData
{
    [JsonPropertyName("brands")] public Brands Brands { get; set; }

    [JsonPropertyName("fueltypes")] public FuelTypes FuelTypes { get; set; }

    [JsonPropertyName("stations")] public Stations Stations { get; set; }

    //TODO: Implement this once we know what the data looks like (undocumented)
    // [JsonPropertyName("evchargingconnectortypes")]
    // public EvChargingConnectorTypes EvChargingConnectorTypes { get; set; }
}

public class Brands
{
    [JsonPropertyName("items")] public IEnumerable<BrandType?> Items { get; set; }
}

public class FuelTypes
{
    [JsonPropertyName("items")] public IEnumerable<FuelType?> Items { get; set; }
}

public class Stations
{
    [JsonPropertyName("items")] public IEnumerable<StationDto?> Items { get; set; }
}