namespace backend.Models.Utilities;

public class Pagination<T>
{
    //TODO: abstract the setting of pageSize, and pageNumber in method signatures into a PaginationOptions object
    public Pagination(IEnumerable<T> items, long count, int pageNumber, int pageSize)
    {
        PageNumber = pageNumber;
        PageSize = pageSize;
        TotalCount = count;
        TotalPages = (long)Math.Ceiling(count / (double)pageSize);
        Data = items;
    }

    public long PageNumber { get; }
    public long PageSize { get; private set; }
    public long TotalPages { get; }
    public long TotalCount { get; private set; }
    public bool HasPrevious => PageNumber > 1;
    public bool HasNext => PageNumber < TotalPages;
    public IEnumerable<T> Data { get; private set; }
}