using backend.Models.NswFuelApi;
using ServiceStack.Data;
using ServiceStack.OrmLite;

namespace backend.Services;

public class FuelTypeService : IFuelTypeService
{
    private readonly IDbConnectionFactory _dbConnectionFactory;

    public FuelTypeService(IDbConnectionFactory dbConnectionFactory)
    {
        _dbConnectionFactory = dbConnectionFactory;
    }

    public async Task<IEnumerable<FuelType>> GetAllFuelTypes()
    {
        using var db = _dbConnectionFactory.OpenDbConnection();
        var fuelTypes = await db.SelectAsync<FuelType>();
        return fuelTypes;
    }

    public async Task<IEnumerable<FuelType>> GetCommonFuelTypes()
    {
        using var db = _dbConnectionFactory.OpenDbConnection();
        var commonCodes = new List<string>(["U91", "DL", "E10", "P95", "P98"]);
        var fuelTypes = await db.SelectAsync<FuelType>(ft => commonCodes.Contains(ft.Code));
        return fuelTypes;
    }
}