using backend.Models.NswFuelApi;
using backend.Models.Utilities;

namespace backend.Services;

public interface IPriceService
{
    Task<Pagination<Price>> GetAllCurrentPrices(int pageNumber, int pageSize);

    Task<Pagination<Price>> GetCurrentPricesByStationCode(int stationCode, string? fuelType, int pageNumber,
        int pageSize);

    Task<Pagination<Price>> GetCurrentPricesByStationCodes(IEnumerable<int> stationCodes, string? fuelType,
        int pageNumber,
        int pageSize);

    Task<Pagination<Price>> GetCurrentPricesByFuelType(string fuelType, int pageNumber, int pageSize);

    Task<Pagination<Price>> GetCurrentLowestPricesByFuelType(string fuelType,
        int pageNumber, int pageSize);

    Task<Pagination<Price>> GetPricesForTimePeriod(DateTimeOffset start, DateTimeOffset end, int pageNumber,
        int pageSize);
}