using backend.Models.NswFuelApi;
using backend.Models.Utilities;

namespace backend.Services;

public interface IStationService
{
    public Task<Pagination<Station>> GetAllStations(int pageNumber, int pageSize);
    public Task<Station> GetStationByStationCode(int stationCode);

    public Task<Pagination<Station>> GetStationsWithinRadius(double latitude, double longitude, double radiusInMetres,
        string? brand, string? stationName, int pageNumber, int pageSize);

    public Task<IEnumerable<int>> GetStationCodesWithinRadius(double latitude, double longitude, double radiusInMetres,
        string? brand);
}