using backend.Models.Aggregations;
using backend.Models.Utilities;

namespace backend.Services;

public interface IStationWithPricesService
{
    Task<StationWithPrices?> GetStationWithPricesByStationCode(int stationCode);

    Task<Pagination<StationWithPrices>> GetStationsWithPricesWithinRadius(double latitude, double longitude,
        double radiusInMetres, string? fuelType, string? brand, string? stationName, int pageNumber, int pageSize);

    Task<Pagination<StationWithPrices>> GetStationsWithLowestPricesByFuelType(string fuelType, int pageNumber,
        int pageSize);

    Task<Pagination<StationWithPrices>> GetStationsWithLowestPricesByFuelTypeWithinRadius(string fuelType,
        double latitude, double longitude, double radiusInMetres, int pageNumber, int pageSize);
}