import { Container, Stack } from "@mantine/core";
import NswGovLogo from "../../public/nsw-gov-logo.svg";
import DataGovAuLogo from "../../public/data.gov.au-logo.svg";
import { BadgeCard } from "../components/card/BadgeCard";

export default function AttributionPage() {
  return (
    <Stack align="center">
      <Container size={700}>
        <h1>We use data from the below sources.</h1>
      </Container>
      <Container size={700} pb={10}>
        <BadgeCard
          title="API.NSW Fuel API"
          titleBadge="Integration Score 4/5"
          description="The Fuel API has been developed as a means of accessing live pricing across all current Australian service stations. It currently serves data for NSW, ACT, and TAS. Documentation for this API can be found at: https://api.nsw.gov.au/Product/Index/22"
          image={NswGovLogo}
          imageDimensions={{ height: 180 }}
          tagsDescription="Features"
          badges={[
            { emoji: "💰", label: "Free to use" },
            { emoji: "🗒️", label: "Standardised documentation" },
            { emoji: "🚀", label: "Good performance" },
            { emoji: "🚜", label: "Reliable" },
            { emoji: "🚨", label: "Sign-up may be required", colour: "yellow" },
            { emoji: "🚩", label: "Paid tiers available", colour: "red" },
            { emoji: "🛑", label: "Rate limits on free tiers", colour: "red" },
          ]}
        />
      </Container>
      <Container size={700} pb={10}>
        <BadgeCard
          title="data.gov.au NSW Suburb/Locality Boundaries - Geoscape Administrative Boundaries "
          titleBadge="Integration Score 3/5"
          description="Suburb/Locality Boundaries are part of Geoscape Administrative Boundaries, which is built and maintained by Geoscape Australia using authoritative government data. More information is available at: https://data.gov.au/data/dataset/nsw-suburb-locality-boundaries-geoscape-administrative-boundaries"
          image={DataGovAuLogo}
          tagsDescription="Features"
          badges={[
            { emoji: "💰", label: "Free to use" },
            { emoji: "🚜", label: "Reliable" },
            {
              emoji: "❗",
              label: "Huge response size cannot be reduced",
              colour: "yellow",
            },
            {
              emoji: "✏️",
              label:
                "GeoJSON format is good, but data model is difficult to parse",
              colour: "yellow",
            },
            { emoji: "🚨", label: "Minimal documentation", colour: "red" },
          ]}
        />
      </Container>
    </Stack>
  );
}
