import { ActionIcon, Tooltip, useMantineColorScheme } from "@mantine/core";
import { FaMoon, FaSun } from "react-icons/fa6";
import classes from "./ColourSchemeToggle.module.css";

export default function ColourSchemeToggle() {
  const { toggleColorScheme } = useMantineColorScheme();

  return (
    <Tooltip label="Toggle colour scheme">
      <ActionIcon
        onClick={() => toggleColorScheme()}
        variant="default"
        size="xl"
        aria-label="Toggle color scheme"
      >
        <FaSun className={classes.light} stroke="1.5" />
        <FaMoon className={classes.dark} stroke="1.5" />
      </ActionIcon>
    </Tooltip>
  );
}
