import { Marker as LeafletMarker } from "leaflet";
import { useEffect, useRef } from "react";
import { Marker, MarkerProps } from "react-leaflet";

export const ControlledMarker = (
  props: MarkerProps & { forceOpen?: boolean }
) => {
  const leafletRef = useRef<LeafletMarker | null>(null);

  useEffect(() => {
    if (props.forceOpen) {
      leafletRef.current?.openPopup();
    }
  }, [props.forceOpen]);

  return <Marker ref={leafletRef} {...props} />;
};
