import { Anchor, Badge, Container, Text, Title } from "@mantine/core";

export default function DevelopersPage() {
  return (
    <Container size="sm">
      <Title ta="center" pb={32}>
        Stuff for developers.
      </Title>

      <h2>Please read this short section.</h2>
      <Text pb={14}>
        If you are a commercial user, you cannot use our API. You should contact
        us to confirm whether you fall into this category.
      </Text>
      <Text pb={14}>
        For everyone else, please feel free to use our API. It is free,
        unauthenticated, and has generous rate limits (100 requests per minute,
        in a sliding window).
      </Text>
      <Text pb={14}>
        Please use our API responsibly and ethically. This means only fetching
        data when you need to (not constantly), and only as much as you need
        (not the maximum page size every time). If you are programmatically
        fetching all pages on an endpoint in a loop, you&apos;re not using the
        API ethically, and you should contact us to discuss adding endpoints
        that suit your needs. This application is self-hosted on modest
        architecture, so please help us to ensure good quality of service for
        all users by being a responsible API user.
      </Text>
      <Text pb={14}>
        We want to help you use our data, so please reach out if you have
        questions, or if you have ideas for improvements.
      </Text>
      <Anchor href="/api-docs">
        <Badge
          size="xl"
          variant="gradient"
          gradient={{ from: "lime", to: "green", deg: 90 }}
          style={{ cursor: "pointer" }}
        >
          Enough talk - click here to go to the API docs!
        </Badge>
      </Anchor>
    </Container>
  );
}
