import {
  Accordion,
  AccordionControl,
  AccordionItem,
  AccordionPanel,
  Container,
  Title,
} from "@mantine/core";
import classes from "./FaqPage.module.css";

export default function FaqPage() {
  return (
    <Container size="sm" className={classes.wrapper}>
      <Title ta="center" className={classes.title}>
        Frequently Asked Questions
      </Title>

      <Accordion variant="separated">
        <AccordionItem className={classes.item} value="catch">
          <AccordionControl>What&apos;s the catch?</AccordionControl>
          <AccordionPanel>
            Nothing! We provide this service for free, for anyone. We hope that
            you find it useful, and that it helps you find a great deal on fuel!
            Fuel Wizard was started as a passion project, and it will remain
            entirely free, for as long as we can host it for you.
          </AccordionPanel>
        </AccordionItem>

        <AccordionItem className={classes.item} value="advertising">
          <AccordionControl>
            Why haven&apos;t I heard of Fuel Wizard before?
          </AccordionControl>
          <AccordionPanel>
            We do not advertise, and rely entirely on word-of-mouth and search
            engines to gain users. If you like Fuel Wizard, please tell everyone
            you know about it!
          </AccordionPanel>
        </AccordionItem>

        <AccordionItem className={classes.item} value="donate">
          <AccordionControl>
            How can I help the development effort?
          </AccordionControl>
          <AccordionPanel>
            If you are a developer, please take a look at our source repository
            on Gitea. You can get in touch with us and contribute there! If you
            are looking to financially support us, please use the donations link
            to make a contribution. All contributions go towards further feature
            development, and improving our hosting.
          </AccordionPanel>
        </AccordionItem>

        <AccordionItem className={classes.item} value="privacy">
          <AccordionControl>What data do you collect?</AccordionControl>
          <AccordionPanel>
            Nothing. Seriously. Our web server may log the occasional IP address
            if there is an error, or if abuse/rate limiting occurs, which helps
            us to track down these errors, but we do not collect anything else.
            There are no tracking cookies, advertisements, or otherwise in the
            web app, and we do not have user accounts.
          </AccordionPanel>
        </AccordionItem>

        <AccordionItem className={classes.item} value="data">
          <AccordionControl>
            What makes Fuel Wizard different from other fuel price applications?
          </AccordionControl>
          <AccordionPanel>
            Fuel Wizard was a response to limitations with state-government
            provided fuel price applications. Whilst these have been a positive
            step for empowering consumers with open data, these apps have a long
            way to go in terms of functionality. Some third-parties have created
            fuel price applications, but we hope to provide an application which
            is modern, fast, simple to use, and contains intelligent price
            analytics, which can help our users to find better deals on fuel.
          </AccordionPanel>
        </AccordionItem>
      </Accordion>
    </Container>
  );
}
