import "@mantine/charts/styles.css";
import "@mantine/core/styles.css";
import "@mantine/dates/styles.css";
import { Notifications } from "@mantine/notifications";
import "@mantine/notifications/styles.css";
import { ReactElement } from "react";

import { ColorSchemeScript, mantineHtmlProps } from "@mantine/core";
import MainLayout from "./components/layout/MainLayout";
import Providers from "./providers";

export const metadata = {
  title: "Fuel Wizard",
  description: "Free and open fuel price analysis",
};

export default function RootLayout({ children }: { children: ReactElement }) {
  return (
    <html lang="en" {...mantineHtmlProps}>
      <head>
        <ColorSchemeScript defaultColorScheme="dark" />
        <link rel="shortcut icon" href="/fuel-app-logo-lime.svg" />
        <meta
          name="viewport"
          content="minimum-scale=1, initial-scale=1, width=device-width, user-scalable=no"
        />
      </head>
      <body>
        <Providers>
          <Notifications />
          <MainLayout>{children}</MainLayout>
        </Providers>
      </body>
    </html>
  );
}
