import { Container, Text, Title } from "@mantine/core";

export default function LegalPage() {
  return (
    <Container size="sm">
      <Title ta="center" pb={32}>
        Legal stuff.
      </Title>

      <h2>Privacy is a human right.</h2>
      <Text pb={14}>
        We do not collect, analyse, or sell any of your personal information or
        data. We are not interested in collecting, analysing, or selling any of
        your personal information or data. We are not affiliated with any
        third-parties who are interested in collecting, analysing, or selling
        any of your personal information or data.
      </Text>
      <Text pb={14}>
        We provide this application to you free of charge, and ask only that you
        use it responsibly and ethically. We will never be interested in your
        personal information, and we will never change our stance on this. If,
        in the future, we add features or functionality which traditionally
        require the handling of personal information, we will engineer these
        features in a way that does not require this.
      </Text>
      <Text pb={14}>
        We want this application to serve as an example of the traditional
        spirit of the internet; the free exchange of data between enthusiasts.
        We want to demonstrate the ability to provide valuable services to our
        users, without compromising their fundamental right to privacy, and
        without squeezing money from them.
      </Text>
      <Text pb={14}>
        We store a very limited amount of data on your browser when you visit
        this site. This is done using your browser&apos;s local storage API. You
        can freely inspect this storage in the developer tools of your browser.
        The data we store there saves things like your dark/light mode
        preference, default fuel type, and home location coordinates. This
        information is stored only on your browser, and is therefore only able
        to be compromised by someone using this exact browser, on this exact
        device, without your knowledge.
      </Text>
      <Text pb={14}>
        We do not log sensitive data from requests to the API (so location data,
        etc. is safe). Our web server may log IP addresses from time to time, if
        a client is rate limited. If you have doubts, please audit the source
        code of the application in our source repository (Gitea).
      </Text>

      <h2>Commercial usage.</h2>
      <Text pb={14}>
        You may not use any part of this application, nor any data it produces
        in any way which generates commercial income. You may use the
        application in some limited commercial settings, where the goal is to
        analyse fuel prices, such as for vehicle fleet management. If you are a
        commercial user, you must contact us in order to disclose your usage of
        the application, and allow us to ensure that your usage is in line with
        this policy.
      </Text>

      <h2>API usage.</h2>
      <Text pb={14}>
        Our API is free, unauthenticated, and open. We have Open API
        documentation available. Usage of this API is entirely prohibited for
        commercial users. For individuals, you may consume from our API, as long
        as you do not attempt to circumvent the built-in rate limiting. The rate
        limits we have defined are generous, and we ask that you do not abuse
        the API with copious requests, as we self-host the application, and need
        to maintain a quality service for all users.
      </Text>
    </Container>
  );
}
