import { Button, Container, Group, Text } from "@mantine/core";
import Image from "next/image";
import { FaGitAlt, FaHandHoldingHeart } from "react-icons/fa6";
import logo from "../public/fuel-app-logo-lime.svg";
import classes from "./Homepage.module.css";

export default function HomePage() {
  return (
    <div>
      <Container size={700} pb={50} pt={32}>
        <Group>
          <Image src={logo} alt="logo" className={classes.logo} height={100} />
          <Text
            fz={75}
            pl={30}
            variant="gradient"
            gradient={{ from: "lime.7", to: "green" }}
          >
            Fuel Wizard
          </Text>
        </Group>
      </Container>
      <div className={classes.wrapper}>
        <Container size={700} className={classes.inner}>
          <h1 className={classes.title}>
            <Text
              component="span"
              variant="gradient"
              gradient={{ from: "lime.7", to: "green" }}
              inherit
            >
              Free
            </Text>{" "}
            and open fuel price{" "}
            <Text
              component="span"
              variant="gradient"
              gradient={{ from: "yellow", to: "red" }}
              inherit
            >
              analysis.
            </Text>
          </h1>

          <Text className={classes.description} c="dimmed">
            Find the best prices through smart tools, simple visualisations, and
            fast searches. 100% free and open, with no tracking, ads, or privacy
            invasion.
          </Text>

          <Group className={classes.controls}>
            <Button
              size="xl"
              className={classes.control}
              variant="gradient"
              gradient={{ from: "green", to: "lime" }}
              leftSection={<FaHandHoldingHeart />}
              component="a"
              href="https://liberapay.com/fuel-wizard/donate"
            >
              Help keep us running
            </Button>
            <Button
              size="xl"
              variant="default"
              className={classes.control}
              leftSection={<FaGitAlt size={20} />}
              component="a"
              href="https://gitea.dustserve.xyz/fuel-wizard"
            >
              Source Code
            </Button>
          </Group>
        </Container>
      </div>
    </div>
  );
}
