import { Coordinate } from "../models/Coordinate";

//Get the default fuel type value from local storage, with a check for execution on the server to prevent server errors
export function GetDefaultFuelType() {
  return typeof window !== "undefined"
    ? localStorage.getItem("defaultFuelType")
    : null;
}

//Get the user's home location from local storage, with a check for execution on the server to prevent server errors
export function GetHomeLocation(): Coordinate | undefined {
  return typeof window !== "undefined"
    ? JSON.parse(localStorage.getItem("homeLocation") as string)
    : undefined;
}

//Get the default coordinates in Sydney for fallback
export function GetDefaultLocation(): Coordinate | undefined {
  return typeof window !== "undefined"
    ? { lat: -33.856758, long: 151.215295 }
    : undefined;
}
